# Uses of Enum Class
org.snpeff.ped.Sex

Packages that use Sex
Package
Description
org.snpeff.ped

## Uses of Sex in org.snpeff.ped

Subclasses with type arguments of type Sex in org.snpeff.ped
Modifier and Type
Class
Description
`enum`
`Sex`
Methods in org.snpeff.ped that return Sex
Modifier and Type
Method
Description
`Sex`
TfamEntry.`getSex()`
`Sex`
Sex.`opposite()`
Return the opposite sex
`static Sex`
Sex.`rand(Random random)`
Random sex
`static Sex`
Sex.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Sex[]`
Sex.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.snpeff.ped with parameters of type Sex
Modifier
Constructor
Description
``
`PedEntry(PlinkMap plinkMap, String familyId, String id, String fatherId, String motherId, Sex sex, double phenotype, String[] genotypes)`
``
`TfamEntry(String familyId, String id, String fatherId, String motherId, Sex sex, double phenotype)`